# eric5.Helpviewer.CookieJar.CookiesDialog

Module implementing a dialog to show all cookies.

### Global Attributes

None

### Classes

CookiesDialog | Class implementing a dialog to show all cookies.

### Functions

None

## CookiesDialog

Class implementing a dialog to show all cookies.

### Derived from

QDialog, Ui_CookiesDialog

### Class Attributes

None

### Class Methods

None

### Methods

CookiesDialog | Constructor
__showCookieDetails | Private slot to show a dialog with the cookie details.
__tableModelReset | Private slot to handle a reset of the cookies table.
__tableSelectionChanged | Private slot to handle a change of selected items.
on_addButton_clicked | Private slot to add a new exception.

### Static Methods

None

#### CookiesDialog (Constructor)

CookiesDialog(cookieJar, parent=None)

Constructor

cookieJar
  reference to the cookie jar (CookieJar)
parent
  reference to the parent widget (QWidget)

#### CookiesDialog.__showCookieDetails

__showCookieDetails(index)

Private slot to show a dialog with the cookie details.

index
  index of the entry to show (QModelIndex)

#### CookiesDialog.__tableModelReset

__tableModelReset()

Private slot to handle a reset of the cookies table.

#### CookiesDialog.__tableSelectionChanged

__tableSelectionChanged(selected, deselected)

Private slot to handle a change of selected items.

selected
  selected indexes (QItemSelection)
deselected
  deselected indexes (QItemSelection)

#### CookiesDialog.on_addButton_clicked

on_addButton_clicked()

Private slot to add a new exception.

Up